import { axios } from '@/utils/request'

// 应付结算记录列表
export const settlementRecordsList = params => {
  const url = `/salesChannelSettlement/queryLike/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios.request({
    url: url,
    data: params,
    method: 'post'
  })
}

// 合计
export const settlementRecordsListTotal = params => {
  const url = `/salesChannelSettlement/total`
  return axios.request({
    url: url,
    data: params,
    method: 'post'
  })
}

// 合作商
export const salesChannelList = params => {
  const url = `/salesChannel/query`
  return axios.request({
    url: url,
    method: 'post'
  })
}

// 按核销套餐单号查询详情列表
export const SettlementRecordsDetailsList = params => {
  const url = `/SettlementGoodsChannel/detail/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios.request({
    url: url,
    data: params,
    method: 'post'
  })
}

export const salesChannelByBundleList = params => {
  const url = `/salesChannel/queryByBundle/${params.id}`
  return axios.request({
    url: url,
    method: 'get'
  })
}
